<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".SetingPowerActivity">

<!--    <TextView
        style="@style/title_text"
        android:layout_width="match_parent"
        android:layout_height="45dp"
        android:text="废品入库" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="45dp"
        android:layout_marginTop="10dp"
        android:orientation="horizontal">

        <TextView
            style="@style/info_text"
            android:layout_width="110dp"
            android:layout_height="45dp"
            android:layout_gravity="center"
            android:text="入库功率:" />

        <EditText
            style="@style/san_text"
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:layout_gravity="center"
            android:text="@={vm.epc}" />
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="45dp"
        android:layout_marginTop="10dp"
        android:orientation="horizontal">

        <TextView
            style="@style/info_text"
            android:layout_width="110dp"
            android:layout_height="45dp"
            android:layout_gravity="center"
            android:text="出库功率:" />

        <TextView
            style="@style/info_text1"
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:layout_gravity="center"
            android:text="@={vm.bichCode}" />
    </LinearLayout>


    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="45dp"
        android:layout_marginTop="10dp"
        android:orientation="horizontal">

        <TextView
            style="@style/info_text"
            android:layout_width="110dp"
            android:layout_height="45dp"
            android:layout_gravity="center"
            android:text="轮挡位置:" />

        <TextView
            style="@style/info_text1"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_gravity="center"
            android:text="@={vm.location}" />
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="45dp"
        android:layout_marginTop="10dp"
        android:orientation="horizontal">

        <TextView
            style="@style/info_text"
            android:layout_width="110dp"
            android:layout_height="45dp"
            android:layout_gravity="center"
            android:text="位置代码:" />

        <TextView
            style="@style/info_text1"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_gravity="center"
            android:text="@={vm.locationCode}" />
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="45dp"
        android:layout_marginTop="10dp">

        <TextView
            style="@style/info_text"
            android:layout_width="110dp"
            android:layout_height="45dp"
            android:layout_gravity="center"
            android:text="轮挡状态:" />

        <TextView
            style="@style/info_text1"
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:layout_gravity="center"
            android:text="@={vm.state}" />
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="45dp"
        android:layout_marginTop="10dp">

        <TextView
            style="@style/info_text"
            android:layout_width="110dp"
            android:layout_height="45dp"
            android:layout_gravity="center"
            android:text="报废时间:" />

        <TextView
            style="@style/info_text1"
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:layout_gravity="center"
            android:text="@={vm.time}" />
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="45dp"
        android:layout_marginTop="10dp"
        android:layout_marginEnd="8dp"
        android:background="@color/white">

        <TextView
            style="@style/info_text"
            android:layout_width="110dp"
            android:layout_height="45dp"
            android:layout_gravity="center"
            android:background="@color/bg1"
            android:text="选择库位:" />

        <Spinner
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:entries="@{vm.list}"
            android:onItemSelected="@{vm.selectLocation}"
            android:textAlignment="center" />
    </LinearLayout>

    <Button
        style="@style/button_style"
        android:layout_width="match_parent"
        android:layout_height="55dp"
        android:layout_margin="20dp"
        android:onClick="fpin_submit"
        android:text="废品入库" />-->
</LinearLayout>